Bug 462104 - Review Request: cryptopp - Public domain C++ class library of cryptographic schemes
Review Request: cryptopp - Public domain C++ class library of cryptographic ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ruben Kerkhof
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-12 13:04 EDT by Aurelien Bompard
Modified: 2011-07-11 23:35 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-27 02:53:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ruben: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Aurelien Bompard 2008-09-12 13:04:13 EDT
Spec URL: http://gauret.free.fr/fichiers/rpms/fedora/amule/cryptopp.spec
SRPM URL: http://gauret.free.fr/fichiers/rpms/fedora/amule/cryptopp-5.5.2-1.fc9.src.rpm
Description: 
Crypto++ Library is a free C++ class library of cryptographic schemes.
See http://www.cryptopp.com/ for a list of supported algorithms.

The potentially patented code was removed (one algorithm), see the "License" section of http://www.cryptopp.com/ for details.
Comment 1 Ruben Kerkhof 2008-09-21 23:31:56 EDT
Hi Aurelien,

Can you recreate cryptopp-5.5.2-gcc4.3.patch?
It fails with the latest version of rpm on rawhide:

+ echo 'Patch #1 (cryptopp-5.5.2-gcc4.3.patch):'
Patch #1 (cryptopp-5.5.2-gcc4.3.patch):
+ /bin/cat /home/ruben/rpmbuild/SOURCES/cryptopp-5.5.2-gcc4.3.patch
+ /usr/bin/patch -s -p1 -b --suffix .gcc4.3 --fuzz=0
1 out of 1 hunk FAILED -- saving rejects to file misc.h.rej
error: Bad exit status from /var/tmp/rpm-tmp.ywiqRm (%prep)
Comment 2 Aurelien Bompard 2008-09-22 16:38:10 EDT
OK, here's the new version :

http://gauret.free.fr/fichiers/rpms/fedora/amule/cryptopp-5.5.2-2.fc9.src.rpm
Comment 3 Ruben Kerkhof 2008-09-22 16:51:57 EDT
Thanks, I'm reviewing it now.
Comment 4 Till Maas 2008-09-30 03:53:21 EDT
FYI: There is a review request for this at RPMFusion, maybe it is not acceptable for Fedora, because iirc RPMFusion does not provide packages, that are suitable for Fedora:
https://bugzilla.rpmfusion.org/show_bug.cgi?id=44
Comment 5 Nicolas Chauvet (kwizart) 2008-09-30 05:15:10 EDT
@aurelien
-Sources need to be repackaged (using a script is better). So we don't redistribute the patented code.
-You can leave sse2 on x86_64 (worksforme) and every x86_64 cpu have sse2.
-Prevent timestramp change on make install for headers by using "install -p"
Comment 6 Aurelien Bompard 2008-09-30 09:17:38 EDT
Thanks Nicolas, here's the new version :
http://gauret.free.fr/fichiers/rpms/fedora/amule/cryptopp-5.5.2-3.fc9.src.rpm
Comment 7 Nicolas Chauvet (kwizart) 2008-10-20 05:22:58 EDT
@Ruben
You have assigned yourself to the bug.
What's hold the review ?
Comment 8 Ruben Kerkhof 2008-10-20 12:30:57 EDT
Hi Nicolas,

My build machine seems to have too little memory to build cryptopp, the build has been running for ages.

Are you willing to take over?
Comment 9 Nicolas Chauvet (kwizart) 2008-10-21 08:58:51 EDT
@Ruben
Interesting. Which machine do you have ?
Does a koji --scratch build also failed for a given Fedora version ?
Comment 10 Ruben Kerkhof 2008-10-25 03:43:02 EDT
@Nicolas,

I have a virtual machine at Slicehost with 256MB of ram. This isn't enough to build cryptopp with.

In the meantime I've got hold of an other machine, and did a successful build:

Review for release 3.fc9:
* RPM name is OK
* Builds fine in mock


Aurelien, there's one small rpmlint warning:
cryptopp.src: W: strange-permission cryptopp-remove-patented-code.sh 0775

This package is APPROVED, don't forget to fix that warning when checking in.
Comment 11 Aurelien Bompard 2008-10-26 04:38:55 EDT
New Package CVS Request
=======================
Package Name: cryptopp
Short Description: Public domain C++ class library of cryptographic schemes
Owners: abompard
Branches: F-8 F-9
Comment 12 Dennis Gilmore 2008-10-27 00:22:25 EDT
CVS Done
Comment 13 Aurelien Bompard 2008-10-27 02:53:09 EDT
Built, thanks.
Comment 14 Fedora Update System 2008-10-27 02:55:11 EDT
cryptopp-5.5.2-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/cryptopp-5.5.2-3.fc9
Comment 15 Fedora Update System 2008-11-19 09:55:50 EST
cryptopp-5.5.2-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 nucleo 2011-07-11 23:18:55 EDT
Package Change Request
======================
Package Name: cryptopp
New Branches: el6
Owners: sundaram nucleo
Comment 17 Gwyn Ciesla 2011-07-11 23:35:53 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.